[-]
[+]
|
Added |
smokeping.spec
|
|
[-]
[+]
|
Added |
smokeping-2.3.5-silence.patch
^
|
@@ -0,0 +1,21 @@
+diff -uNr -x '*~' smokeping-2.3.5.orig/lib/Smokeping.pm smokeping-2.3.5/lib/Smokeping.pm
+--- smokeping-2.3.5.orig/lib/Smokeping.pm 2008-03-29 08:47:19.000000000 +0100
++++ smokeping-2.3.5/lib/Smokeping.pm 2008-04-07 21:03:14.000000000 +0200
+@@ -3551,7 +3551,7 @@
+ }
+ print "Warning: no logging method specified. Messages will be lost.\n"
+ unless $logging;
+- print "Daemonizing $0 ...\n";
++ #print "Daemonizing $0 ...\n";
+ defined (my $pid = fork) or die "Can't fork: $!";
+ if ($pid) {
+ exit;
+@@ -3611,7 +3611,7 @@
+ die "missing facility?" unless defined $fac;
+ $syslog_facility = $fac if defined $fac;
+ $syslog_priority = $pri if defined $pri;
+- print "Note: logging to syslog as $syslog_facility/$syslog_priority.\n";
++ #print "Note: logging to syslog as $syslog_facility/$syslog_priority.\n";
+ openlog(basename($0), 'pid', $syslog_facility);
+ eval {
+ syslog($syslog_priority, 'Starting syslog logging');
|
[-]
[+]
|
Added |
smokeping-2.4.2-config.patch
^
|
@@ -0,0 +1,156 @@
+diff -uNr -x '*~' smokeping-2.4.2.orig/etc/basepage.html.dist smokeping-2.4.2/etc/basepage.html.dist
+--- smokeping-2.4.2.orig/etc/basepage.html.dist 2008-04-26 15:00:16.000000000 +0200
++++ smokeping-2.4.2/etc/basepage.html.dist 2008-08-25 21:17:04.000000000 +0200
+@@ -53,10 +53,10 @@
+ -->
+ </STYLE>
+
+-<script src="cropper/lib/prototype.js" type="text/javascript"></script>
+-<script src="cropper/lib/scriptaculous.js?load=builder,dragdrop" type="text/javascript"></script>
+-<script src="cropper/cropper.js" type="text/javascript"></script>
+-<script src="cropper/smokeping-zoom.js" type="text/javascript"></script>
++<script src="/smokeping/cropper/lib/prototype.js" type="text/javascript"></script>
++<script src="/smokeping/cropper/lib/scriptaculous.js?load=builder,dragdrop" type="text/javascript"></script>
++<script src="/smokeping/cropper/cropper.js" type="text/javascript"></script>
++<script src="/smokeping/cropper/smokeping-zoom.js" type="text/javascript"></script>
+
+
+
+diff -uNr -x '*~' smokeping-2.4.2.orig/etc/config.dist smokeping-2.4.2/etc/config.dist
+--- smokeping-2.4.2.orig/etc/config.dist 2008-07-24 19:36:57.000000000 +0200
++++ smokeping-2.4.2/etc/config.dist 2008-08-25 21:17:21.000000000 +0200
+@@ -1,19 +1,19 @@
+ *** General ***
+
+-owner = Peter Random
+-contact = some@address.nowhere
++owner = Super User
++contact = root@localhost
+ mailhost = my.mail.host
+-sendmail = /usr/lib/sendmail
++sendmail = /usr/sbin/sendmail
+ # NOTE: do not put the Image Cache below cgi-bin
+ # since all files under cgi-bin will be executed ... this is not
+ # good for images.
+-imgcache = /home/oetiker/public_html/smokeping-ms/cache
+-imgurl = cache
+-datadir = /tmp/smokeping-ms/data
+-piddir = /tmp/smokeping-ms/var
+-cgiurl = http://some.url/smokeping.cgi
+-smokemail = /home/oetiker/checkouts/smokeping/trunk/software/etc/smokemail.dist
+-tmail = /home/oetiker/checkouts/smokeping/trunk/software/etc/tmail.dist
++imgcache = /var/lib/smokeping/images
++imgurl = /smokeping/images
++datadir = /var/lib/smokeping/rrd
++piddir = /var/run/smokeping
++cgiurl = http://localhost/smokeping/smokeping.cgi
++smokemail = /etc/smokeping/smokemail
++tmail = /etc/smokeping/tmail
+ # specify this to get syslog logging
+ syslogfacility = local0
+ # each probe is now run in its own process
+@@ -21,8 +21,8 @@
+ # concurrentprobes = no
+
+ *** Alerts ***
+-to = alertee@address.somewhere
+-from = smokealert@company.xy
++to = root@localhost
++from = root@localhost
+
+ +someloss
+ type = loss
+@@ -47,7 +47,7 @@
+
+ *** Presentation ***
+
+-template = /home/oetiker/checkouts/smokeping/trunk/software/etc/basepage.html.dist
++template = /etc/smokeping/basepage.html
+
+ + charts
+
+@@ -108,7 +108,7 @@
+ binary = /usr/sbin/fping
+
+ *** Slaves ***
+-secrets=/home/oetiker/checkouts/smokeping/trunk/software/etc/smokeping_secrets.dist
++secrets=/etc/smokeping/smokeping_secrets
+ +boomer
+ display_name=boomer
+ color=0000ff
+@@ -119,28 +119,57 @@
+
+ *** Targets ***
+
++#menuextra = <a target='_blank' href='/smokeping/tr.html{HOST}' class='{CLASS}' \
++# onclick="window.open(this.href,this.target, \
++# 'width=800,height=500,toolbar=no,location=no,status=no,scrollbars=no'); \
++# return false;">*</a>
++#
+ probe = FPing
+
+ menu = Top
+ title = Network Latency Grapher
+-remark = Welcome to the SmokePing website of xxx Company. \
++remark = Welcome to the SmokePing website of <b>Insert Company Name Here</b>. \
+ Here you will learn all about the latency of our network.
+
+-+ Test
+-menu= Targets
+-#parents = owner:/Test/James location:/
+-
+-++ James
+-
+-menu = James
+-title =James
+-alerts = someloss
+-slaves = boomer slave2
+-host = james.address
+-
+-++ MultiHost
+-
+-menu = Multihost
+-title = James and James as seen from Boomer
+-host = /Test/James /Test/James~boomer
+++ Ping
++
++menu = Fedora
++title = Fedora Pings
++
++++ FedoraprojectOrg
++
++menu = fedoraproject.org
++title = Fedora Webserver
++host = fedoraproject.org
++
++++ DocsFedoraprojectOrg
++
++menu = docs.fedoraproject.org
++title = Fedora Docs Webserver
++host = docs.fedoraproject.org
++
++++ PlanetFedora
++
++menu = planet.fedoraproject.org
++title = Planet Fedora
++host = planet.fedoraproject.org
++
++#
++# Lots of more options are available, please have a look in the included documentation.
++#
++
++
++#++ James
++
++#menu = James
++#title =James
++#alerts = someloss
++#slaves = boomer slave2
++#host = james.address
++
++#++ MultiHost
++
++#menu = Multihost
++#title = James and James as seen from Boomer
++#host = /Test/James /Test/James~boomer
+
|
[-]
[+]
|
Added |
smokeping-2.4.2-jsonrpc-strict.patch
^
|
@@ -0,0 +1,12 @@
+diff -uNr -x '*~' smokeping-2.4.2.orig/lib/Qooxdoo/JSONRPC.pm smokeping-2.4.2/lib/Qooxdoo/JSONRPC.pm
+--- smokeping-2.4.2.orig/lib/Qooxdoo/JSONRPC.pm 2008-07-24 20:25:28.000000000 +0200
++++ smokeping-2.4.2/lib/Qooxdoo/JSONRPC.pm 2008-09-15 20:23:25.000000000 +0200
+@@ -18,7 +18,7 @@
+ # The JSON-RPC implementation.
+ # Use perldoc on this file to view documentation
+
+-use strict;
++#use strict;
+
+ use JSON;
+
|
[-]
[+]
|
Added |
smokeping-2.4.2-path.patch
^
|
@@ -0,0 +1,69 @@
+diff -uNr -x '*~' smokeping-2.4.2.orig/bin/smokeping.dist smokeping-2.4.2/bin/smokeping.dist
+--- smokeping-2.4.2.orig/bin/smokeping.dist 2008-07-24 19:37:05.000000000 +0200
++++ smokeping-2.4.2/bin/smokeping.dist 2008-08-24 14:55:31.000000000 +0200
+@@ -1,13 +1,12 @@
+ #!/usr/bin/perl -w
+ # -*-perl-*-
+
+-use lib qw(/usr/pack/rrdtool-1.3.0-rp/lib/perl);
+-use lib qw(lib);
++use lib qw(/usr/share/smokeping/lib);
+ use strict;
+ use warnings;
+ use Smokeping 2.004002;
+
+-Smokeping::main("etc/config.dist");
++Smokeping::main("/etc/smokeping/config");
+
+ =head1 NAME
+
+diff -uNr -x '*~' smokeping-2.4.2.orig/bin/tSmoke.dist smokeping-2.4.2/bin/tSmoke.dist
+--- smokeping-2.4.2.orig/bin/tSmoke.dist 2008-07-24 19:37:05.000000000 +0200
++++ smokeping-2.4.2/bin/tSmoke.dist 2008-08-24 14:56:09.000000000 +0200
+@@ -51,8 +51,7 @@
+ # -- Getopt::Long
+ #
+ # Point the lib variables to your implementation
+-use lib qw(lib);
+-use lib qw(/usr/local/rrdtool-1.0.39/lib/perl);
++use lib qw(/usr/share/smokeping/lib);
+
+ use Smokeping 2.004002;
+ use Net::SMTP;
+diff -uNr -x '*~' smokeping-2.4.2.orig/htdocs/smokeping.cgi.dist smokeping-2.4.2/htdocs/smokeping.cgi.dist
+--- smokeping-2.4.2.orig/htdocs/smokeping.cgi.dist 2008-07-24 19:37:05.000000000 +0200
++++ smokeping-2.4.2/htdocs/smokeping.cgi.dist 2008-08-24 14:57:14.000000000 +0200
+@@ -1,17 +1,16 @@
+-#!/usr/bin/speedy
++#!/usr/bin/perl
+ # -*-perl-*-
+
+ use strict;
+ use warnings;
+
+-use lib qw(/usr/pack/rrdtool-1.3.0-rp/lib/perl);
+-use lib qw(/home/oetiker/checkouts/smokeping/trunk/software/lib);
++use lib qw(/usr/share/smokeping/lib);
+
+ use CGI::Carp qw(fatalsToBrowser);
+
+ use Smokeping 2.004002;
+
+-Smokeping::cgi("/home/oetiker/checkouts/smokeping/trunk/software/etc/config.dist");
++Smokeping::cgi("/etc/smokeping/config");
+
+ =head1 NAME
+
+diff -uNr -x '*~' smokeping-2.4.2.orig/htdocs/tr.cgi.dist smokeping-2.4.2/htdocs/tr.cgi.dist
+--- smokeping-2.4.2.orig/htdocs/tr.cgi.dist 2008-07-24 20:25:28.000000000 +0200
++++ smokeping-2.4.2/htdocs/tr.cgi.dist 2008-08-24 14:58:03.000000000 +0200
+@@ -1,7 +1,6 @@
+-#!/usr/sepp/bin/speedy-5.8.8 -w
++#!/usr/bin/perl
+ use strict;
+-use lib qw(/home/oposs/smokeping/software/lib);
+-use lib qw(perl);
++use lib qw(/usr/share/smokeping/lib);
+
+ use CGI;
+ use CGI::Util qw(expires);
|
[-]
[+]
|
Added |
smokeping-2.4.2-tr.patch
^
|
@@ -0,0 +1,11 @@
+diff -uNr -x '*~' smokeping-2.4.2.orig/htdocs/tr.html smokeping-2.4.2/htdocs/tr.html
+--- smokeping-2.4.2.orig/htdocs/tr.html 2008-07-24 20:25:28.000000000 +0200
++++ smokeping-2.4.2/htdocs/tr.html 2008-08-24 15:26:05.000000000 +0200
+@@ -2,6 +2,6 @@
+ <head>
+ <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+ <title>SmokeTrace</title>
+- <script type="text/javascript" src="script/Tr.js"></script>
++ <script type="text/javascript" src="/smokeping/script/Tr.js"></script>
+ </head>
+ </html>
|
[-]
[+]
|
Added |
README.fedora
^
|
@@ -0,0 +1,65 @@
+Some useful information about smokeping as packaged by Fedora
+-------------------------------------------------------------
+
+To use the package
+------------------
+
+ o Define you targets in /etc/smokeping/config
+
+ There are some examples defined all ready, for more options please consult
+ the documentation available here:
+
+ file:///usr/share/doc/smokeping-2.4.2/doc/smokeping_install.html
+
+ o Start the smokeping daemon:
+
+ $ service smokeping start
+ $ chkconfig --level 35 smokeping on
+
+ o Start Apache httpd webserver:
+
+ $ service httpd start
+ $ chkconfig --level 35 httpd on
+
+ o smokeping in it's full glory is now serving you at the following address:
+
+ http://localhost/smokeping/sm.cgi
+
+ Please visit with your browser of choice. You might have to wait some
+ time until the daemon has got some data to see something useful
+
+ If you want to access smokeping from a remote host, please edit
+ /etc/httpd/conf.d/smokeping.conf
+
+
+To enable SmokeTrace support
+----------------------------
+ o Uncomment the SmokeTrace section in /etc/smokeping/config
+
+ o Make the traceroute binary setuid:
+
+ $ chmod u+s /bin/traceroute
+
+ (Beware of the security implications this action might have)
+
+ o Uncomment the tr.cgi ScriptAlias line in /etc/httpd/conf.d/smokeping.conf .
+
+ o Restart the webserver
+
+ $ service httpd restart
+
+
+Caveats
+-------
+
+ The TacacsPlus and Radius probes needs the Authen::Tacas and/or
+ Authen::Radius CPAN modules, in order to use these probes, please
+ install these modules.
+
+Happy pinging!
+
+
+
+
+
+
|
|
Added |
rrdtool.png
^
|
|
Added |
smokeping-2.4.2-6.fc9.src.rpm
^
|
|
Added |
smokeping-2.4.2.tar.gz
^
|
[-]
[+]
|
Added |
smokeping-httpd.conf.d
^
|
@@ -0,0 +1,16 @@
+<Directory "/usr/share/smokeping" >
+ Order deny,allow
+ Deny from all
+ Allow from 127.0.0.1
+</Directory>
+
+<Directory "/var/lib/smokeping" >
+ Order deny,allow
+ Deny from all
+ Allow from 127.0.0.1
+</Directory>
+
+ScriptAlias /smokeping/sm.cgi /usr/share/smokeping/cgi/smokeping.cgi
+#ScriptAlias /smokeping/tr.cgi /usr/share/smokeping/cgi/tr.cgi
+Alias /smokeping/images /var/lib/smokeping/images
+Alias /smokeping /usr/share/smokeping/htdocs
|
[-]
[+]
|
Added |
smokeping.init
^
|
@@ -0,0 +1,75 @@
+#! /bin/bash
+#
+# smokeping This starts and stops the smokeping daemon
+# chkconfig: - 98 11
+# description: Start and top the smokeping daemon
+# processname: smokeping
+#
+### BEGIN INIT INFO
+# Provides: smokeping
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Default-Start:
+# Default-Stop: 0 1 2 3 4 5 6
+# Short-Description: Start and stop the smokeping daemon
+# Description: Daemon for smokeping - Latency Logging and Graphing System
+### END INIT INFO
+#
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+SMOKEPING=/usr/sbin/smokeping
+LOCKF=/var/lock/subsys/smokeping
+CONFIG=/etc/smokeping/config
+PID=/var/run/smokeping/smokeping.pid
+
+RETVAL=0
+
+case "$1" in
+ start)
+ [ -x $SMOKEPING ] || exit 5
+ [ -f $CONFIG ] || exit 6
+ echo -n $"Starting smokeping: "
+ daemon $SMOKEPING
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch $LOCKF
+ ;;
+ stop)
+ echo -n $"Stopping smokeping: "
+ killproc $SMOKEPING
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f $LOCKF $PID
+ ;;
+ status)
+ status smokeping
+ RETVAL=$?
+ ;;
+ reload)
+ echo -n $"Reloading smokeping: "
+ killproc $SMOKEPING -HUP
+ RETVAL=$?
+ echo
+ ;;
+ restart|force-reload)
+ $0 stop
+ sleep 3
+ $0 start
+ RETVAL=$?
+ ;;
+ condrestart|try-restart)
+ if [ -f $LOCKF ] ; then
+ $0 stop
+ sleep 3
+ $0 start
+ RETVAL=$?
+ fi
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|force-reload|reload|condrestart|try-restart}"
+ exit 1
+esac
+
+exit $RETVAL
|
|
Added |
smokeping.png
^
|